<template>
<div class="player-count-indicator">
	<div
		class="item"
		v-for="item in items"
		:key="item.id"
	>
		<control :device="item.device" :type="item.type" />
	</div>
</div>
</template>

<script>
import Control from "./Control.vue"

export default {
	components: { Control },
	computed: {
		items () {
			const items = []

			for (let i = 0; i < 4; i++) {
				const item = Input.list[i]

				if (!item) {
					items.push({id: i, device: "xbox", type: "a"})
				} else {
					const is_key = item.type === "key"
					items.push({
						id: i,
						device: is_key ? "keys" : "xbox",
						type: is_key ? "keyboard" : `controller${item.number + 1}`
					})
				}
			}

			return items
		}
	},
	name: "player-count-indicator"
}
</script>

<style lang="less" scoped>
.item {
	align-items: center;
	background: #000;
	border: #fff 1px solid;
	color: #fff;
	display: inline-flex;
	height: 2em;
	justify-content: center;
	width: 2em;

	&:not(:last-child) {
		margin-right: .1em;
	}

	.control {
		font-size: 2em;
	}
}

.player-count-indicator {
	align-items: flex-start;
	display: flex;
	font-size: 3vh;
}
</style>
